// C++11
#include <algorithm>
#include <cstdlib>
#include <iostream>
#include <map>
#include <sstream>
#include <vector>
#include <set>
#include <string>

using namespace std;

class StainedGlass {
public:
    vector<int> ret;
    void add(vector<int> t) {
        ret.insert(ret.end(), t.begin(), t.end());
    }
    vector<int> create(int H, vector<int> pixels, int N) {
        add({ 50, 130, 0xDA70D6});
        add({150, 180, 0x6495ED});
        add({200, 280, 0x00C957});
        add({200,  30, 0xFFE7BA});
        add({250,  80, 0xD2691E});

        return ret;
    }
};
// -------8<------- end of the solution submitted to the website -------8<-------

template<class T> void getVector(vector<T>& v) {
    for (int i = 0; i < (int)v.size(); ++i)
        cin >> v[i];
}

int main() {
    StainedGlass sg;
    int H;
    cin >> H;
    int S;
    cin >> S;
    vector<int> pixels(S);
    getVector(pixels);
    
    int N;
    cin >> N;
    
    vector<int> ret = sg.create(H, pixels, N);
    cout << ret.size() << endl;
    for (int i = 0; i < (int)ret.size(); ++i)
        cout << ret[i] << endl;
    cout.flush();
}
